Summary: Indexed hash package - hashes with ordering
Name: Tie-IxHash.pm
Requires: perl >= 5.003
Packager: Michael De La Rue <miked@ed.ac.uk>
Version: 1.1
Release: 1
Copyright: Artistic License or GPL
Group: Development/Libraries/Perl
Source: ftp://ftp.funet.fi/pub/languages/perl/CPAN/modules/by-category/06_Data_Type_Utilities/Tie/Tie-IxHash-1.1.pm.gz
Patch0: Tie-IxHash-1.1.module-name.patch

%description
This package provides an indexed hash class which, at the cost of
speed provides many advantages over the standard perl hashes.  The
main difference is that the hash keeps the order in which items are
added to it.  
%prep
rm -rf Tie-IxHash.pm
mkdir Tie-IxHash.pm
cd Tie-IxHash.pm
cp ../../SOURCES/Tie-IxHash-1.1.pm.gz .
gunzip Tie-IxHash-1.1.pm.gz 
%patch -p1

%build
cd Tie-IxHash.pm
pod2man Tie-IxHash-1.1.pm > Tie::IxHash.3

%install
cd Tie-IxHash.pm
install -d /usr/lib/perl5/man/man3
install -o root -g root -m 755 Tie::IxHash.3 /usr/lib/perl5/man/man3
install -d /usr/lib/perl5/site_perl/Tie
install -o root -g root -m 755 Tie-IxHash-1.1.pm /usr/lib/perl5/site_perl/Tie/IxHash.pm

%files
/usr/lib/perl5/man/man3/Tie::IxHash.3 
/usr/lib/perl5/site_perl/Tie/IxHash.pm
